# $Revision: 1.6.2.2 $, $Date: 2004/07/27 21:02:46 $
%include	/usr/lib/rpm/macros.perl
Summary:	Simple Web Indexing System for Humans - Enhanced
Summary(pl):	Prosty system indeksowania stron WWW - wersja rozszerzona
Name:		swish-e
Version:	2.4.2
Release:	5
License:	GPL/LGPL
Group:		Applications/Text
Source0:	http://swish-e.org/Download/%{name}-%{version}.tar.gz
# Source0-md5:	1606e2f55034540f88c1748eeaae5274
URL:		http://swish-e.org/
#Icon:		swish-e.xpm
BuildRequires:	libxml2-devel
BuildRequires:	pcre-devel
BuildRequires:	rpm-perlprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Swish-e is Simple Web Indexing System for Humans - Enhanced.

Swish-e can quickly and easily index directories of files or remote
web sites and search the generated indexes.

Swish-e is extremely fast in both indexing and searching, highly
configurable, and can be seamlessly integrated with existing web sites
to maintain a consistent design. Swish-e can index web pages, but can
just as easily index text files, mailing list archives, or data stored
in a relational database.

Swish-e key features are:
- Emacs/Gnus mail index in cooordination with nnir.el
- Fast - many factors that affect speed, but a search on this server
  that returns a thousand documents takes only a few seconds.
- Flexible - a number of configuration options provide you a high
  degree of control over what is indexed and how.
- Powerful - the AND, OR and NOT operators are supported, words can be
  truncated (using *), and searches can be limited to particular fields
  (META tag fields, TITLEs, etc.)
- Free - nothing, zip, zero.
- It's made for Web sites - In indexing HTML files, SWISH-E can ignore
  data in most tags while giving higher relevance to information in
  header and title tags. Titles are extracted from HTML files and appear
  in the search results. SWISH can automatically search your whole Web
  site for you in one pass, if it's under one directory. You can also
  limit your search to words in HTML titles, comments, emphasized tags,
  and META tags. In addition, 8-bit HTML characters can be indexed,
  converted, and searched.
- It creates portable indexes - Index files consist of only one file,
  so they can be transported around and easily maintained.
- You can fix the source - We encourage people to send in patches and
  suggestions on how to make SWISH-E better. You may want to join the
  SWISH-E Discussion.

%description -l pl
Swish-e jest prostym systemem indeksujcym WWW dla ludzi - w wersji
rozszerzonej.

Swish-e moe zgrabnie i atwo indeksowa katalogi plikw lub zdalne
strony WWW i przeszukiwa wygenerowane indeksy.

Swish-e jest ekstremalnie szybki zarwno w indeksowaniu i
wyszukiwaniu, mocno konfigurowalny, i moe by atwo zintegrowany z
istniejcymi stronami WWW w celu konfiguracji jego wygldu. Swish-e
moe indeksowa nie tylko strony WWW, ale take pliki tekstowe,
archiwa list pocztowych lub dane przechowywane w relacyjnych bazach
danych.

Kluczowymi waciwociami swish-a s:
- Zgodne z Emacs/Gnus indeksowanie poczty w poczeniu z nnir.el
- Szybki - wiele wspczynnikw ma wpyw na prdko, ale wyszukiwanie
  na serwerze zwracajce tysice dokumentw zabiera tylko kilka sekund.
- Elastyczny - dua liczba opcji konfiguracyjnych udostpnia wysoki
  stopie moliwoci okrelenia co i jak ma by indeksowane.
- Potny - operatory AND, OR i NOT s obsugiwane, sowa mog by
  obcinane(korzystajc z *), i wyszukiwanie ograniczane do konkretnych
  pl (znaczniki META, tytuy itp.)
- Wolny - bezpatny, darmowy, za friko.
- Stworzony dla stron WWW - indeksuje pliki HTML, moe ignorowa dane
  w wikszoci znacznikw, przyznajc wiksz wag informacj w
  nagwkach i tytuach. Tytuy mog by wyodrbniane z plikw HTML i
  pojawia si w rezultatach wyszukiwania. SWISH moe automatycznie
  przeszuka ca stron WWW w jednym przejciu, jeeli jest w jednym
  katalogu. Mona take ograniczy wyszukiwanie do sw w tytuach HTML,
  komentarzach i znacznikach META. Dodatkowo - 8-bitowe znaki HTML mog
  by indeksowane, przeksztacane i przeszukiwane.
- Tworzy przenone indeksy - s zawarte w tylko jednym pliku, wic
  mog by atwo transportowane i zarzdzane.
- Mona poprawi rda - wszyscy s proszeni o wysyanie at i uwag
  jak ulepszy SWISH-E. Mona si te przyczy do dyskusji na temat
  SWISH-E.

%package doc
Summary:	Documentation for swish-e
Summary(pl):	Dokumentacja dla swish-e
Group:		Documentation

%description doc
SWISH-E documentation and examples

%description doc -l pl
Dokumentacja i przykady dla SWISH-E

%package   perl
Summary:	SWISH-E - PERL Scripts and Modules
Summary(pl):	SWISH-E - Skrypty i moduy dla PERL-a
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description    perl
PERL SWISH-E language bindings and scripts.

%description    perl  -l pl
Skrypty i moduy perlowe dla SWISH-E.

%package devel
Summary:	Header files for swish-e
Summary(pl):	Pliki nagwkowe dla swish-e
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for swish-e.

%description devel -l pl
Pliki nagwkowe dla swish-e.

%package static
Summary:	Static library for swish-e
Summary(pl):	Biblioteka statyczna dla swish-e
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for swish-e.

%description static -l pl
Biblioteka statyczna dla swish-e.

%prep
%setup -q

%build
%configure \
	--with-pcre
%{__make}
%{__make} test

cd perl
echo skip| \
%{__perl} Makefile.PL \
	CCFLAGS="%{rpmcflags} -I../src" \
	LIBS="%{rpmldflags} -L../src/.libs -lswish-e"

%{__make}
# doesn't work without detect swish-e binary
# %{__make} test
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_docdir}/%{name} %{name}-doc

cd perl
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/libswish-e.so.*.*.*
%dir %{_prefix}/lib/swish-e
%attr(755,root,root) %{_prefix}/lib/swish-e/swishspider
%{_mandir}/man?/*

%files doc
%defattr(644,root,root,755)
%doc %{name}-doc/*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/swish-filter-test
%{_prefix}/lib/%{name}/perl
%attr(755,root,root) %{_prefix}/lib/%{name}/*.pl
%attr(755,root,root) %{_prefix}/lib/%{name}/*.cgi
%{_datadir}/swish-e
%dir %{perl_sitearch}/SWISH
%{perl_sitearch}/SWISH/*.pm
%dir %{perl_sitearch}/auto/SWISH
%dir %{perl_sitearch}/auto/SWISH/API
%{perl_sitearch}/auto/SWISH/API/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/SWISH/API/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswish-e.so
%{_libdir}/libswish-e.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libswish-e.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swish-e.spec,v $
Revision 1.6.2.2  2004/07/27 21:02:46  undefine
- skip detect swish-e binary

Revision 1.6.2.1  2004/07/26 13:19:11  undefine
- release 5 for RA

Revision 1.6  2004/07/26 13:03:26  undefine
- build SWISH::API module too

Revision 1.5  2004/07/25 23:22:47  undefine
- release 4 for AC

Revision 1.4  2004/07/25 11:03:32  qboosh
- fixed build on amd64 (use just prefix/lib for scripts), release 2

Revision 1.3  2004/07/24 16:56:01  qboosh
- pl fixes, no autogenerated symlink

Revision 1.2  2004/07/24 11:11:56  undefine
- GPL/LGPL

Revision 1.1  2004/07/24 11:09:06  undefine
- initital pld version, based on build and mandrake spec
